Subject: [seamoby] Response of Mobile Operator to Request for Info on Realistic Paging

From: James Kempf <[email-masked]>
Date: Thu, 05 Apr 2001 23:21:23 +0900

Okay, folks, I spoke with a mobile operator here at MWIF in Korea.
Alessio, I'm really sorry they can't post themselves, but they generally
don't hang out on specific IETF working group lists. One of them will be
at IETF 51, and hopefully involved in a requirements discussion via
email beforehand (as soon as we can set up the list), so you can ask him there
if you think I'm making this up.

Some background on the operator. The operator I talked with has had over 10 
years of experience deploying GSM networks in Asia, and is a major 
technical contributor to a leading European cellular provider. He is very 
critical of the direction being taken
by 3GPP, sees IETF as a promising possiblity to make the mobile Internet
happen the way most IETFer's would like to see it happen. His view is therefore
likely to be different from someone who thinks 3GPP is the bees knees, however,
technically, this guy is at the top of the pack. He knows cellular.

Anyway, I explained to him the problem statement, and that we were designing
for a target network in which the HLR and VLR were replaced by mobile
IP and AAA. That is to say, we are not just desiging for GPRS or 3GPP2
IOS because they already have solutions to this problem, however imperfect.

His response was that it is important and necessary that no a priori connection
be assumed between subnets and paging areas. Another example, not
cited in the draft which came out in our conversation, involves overlapping 
paging areas. It is sometimes necessary to configure a paging area entirely 
within another paging area, due to hotspots where there are lots of mobile 
nodes in dormant mode. There absolutely cannot be any constraint as to 
subnet in this case, because the inner, donut hole may have an arbitrary 
relation to the subnets.

BTW, I also asked him about the case where wCDMA allows a mobile node
to have more than one paging identifier, and he said this was because
the mobile node could be in soft handoff between two RNCs that were in
two different location areas. It would therefore require a paging identifier
for both.

I suppose it is possible to spin this however you want if you do or don't 
believe
the problem statement, but, to me, it seems a pretty clear endorsement of
the problem statement.

		jak

---

From: "Casati, Alessio \(Alessio\)" <[email-masked]>
Date: Thu, 5 Apr 2001 18:38:38 +0100

*
*Alessio,
*
*It's clear that you think that there is not a
*problem to be solved in the paging area. A
*consensus of people here disagree. There are lot
*of things that I think are useless and should not
*be done too, but there is little point to
*expending effort trying to stop something that
*already has consensus to go forward. The market
*will eventually decide who was right. In the mean
*time, if it's not your intention to just be
*disruptive to slow things down, it would nice to
*know that so that I don't have to make a new
*procmail recipe.
*
*		Mike

The consensus can also be achieved if
there is a small subset of well motivated people 
that are able to discourage
the "contrarians" to write to the list using
blanket statements like yours.
This does not help the quality of the work being 
done here, though :). What I'm looking for is a problem statement that
can help people understand what you want to do...
I just happened to read the problem statement by chance
and I must say it is poor and not clear. Not IETF quality,
as people used to say.
 
In the meanwhile, nothing prevents you from working on the requirements, 
since this has been allowed by the AD. Who knows,
perhaps someboby will contribute to the reqs in a way tha make 
things clear. 

You are welcome to work on Procmail recipes too. Let us know
if you'll be succesfull at it.

alessio

---

From: James Kempf <[email-masked]>
Date: Fri, 06 Apr 2001 10:44:34 +0900

Alessio,

Your opinion is not shared by either the working group chair nor by the AD.
When the AD reports back to us, we will see whether it is shared by the
IESG. We are not talking about GPRS nor 3GPP2, we are talking
about a future network where there is no HLR or VLR.

My observation is that you keep bringing up the same points, which I keep
answering. To that extent, Mike's comment that you seem to be disruptive
is appropriate.

Remember, IETF operates on *rough* concensus.

                 jak

---

From: James Kempf <[email-masked]>
Date: Fri, 06 Apr 2001 10:37:52 +0900

Alessio,

I'm not going to answer your comments in detail because, quite frankly, I've
spent enough time discussing this issue with you to convince myself that
you are never going to agree that IP paging is necessary. We've gone
over the issues in the problem statement draft several times now. So, IMHO, it
is a waste of time. I will take whatever direction the IESG and Pat give
me as design team lead and go with that.

Regarding the person at the operator I described, he will be more active
in the IETF in the future, and I will make sure there is an announcement
on this list about the email locale for discussion of operator requirements
for the mobile Internet. These are operators that are unhappy with the 3GPP
direction and are concerned that IETF is listening to them too much. I'm
working with them to get something set up where they can present their
concerns to IETF in a way that is consistent with IETF procedure.

                 jak

At 05:27 PM 4/5/01 +0100, Casati, Alessio (Alessio) wrote:

>*Okay, folks, I spoke with a mobile operator here at MWIF in Korea.
>*Alessio, I'm really sorry they can't post themselves, but they
>*generally
>*don't hang out on specific IETF working group lists. One of
>*them will be
>*at IETF 51, and hopefully involved in a requirements discussion via
>*email beforehand (as soon as we can set up the list), so you
>*can ask him there
>*if you think I'm making this up.
>
>I don't think you are making this up. I think I need his e-mail address
>so that I'm enabled to ask him though. If I could have his name, I could
>also know how to start my message in a polite way.
>
>*Some background on the operator.
>
>I guess this is a man, not an operator...
>
>*The operator I talked with
>*has had over 10
>*years of experience deploying GSM networks in Asia, and is a major
>*technical contributor to a leading European cellular provider.
>*He is very
>*critical of the direction being taken
>*by 3GPP,
>*sees IETF as a promising possiblity to make the
>*mobile Internet
>*happen the way most IETFer's would like to see it happen.
>
>Me too, but the mobile Inernet is not bound to configuring
>multiple subnets to a paging area.
>
>*His
>*view is therefore
>*likely to be different from someone who thinks 3GPP is the
>*bees knees, however,
>*technically, this guy is at the top of the pack. He knows cellular.
>
>This WG needs badly this sort of folks. He should be contributing more.
>
>*His response was that it is important and necessary that no a
>*priori connection
>*be assumed between subnets and paging areas. Another example, not
>*cited in the draft which came out in our conversation,
>*involves overlapping
>*paging areas. It is sometimes necessary to configure a paging
>*area entirely
>*within another paging area, due to hotspots where there are
>*lots of mobile
>*nodes in dormant mode. There absolutely cannot be any constraint as to
>*subnet in this case, because the inner, donut hole may have an
>*arbitrary
>*relation to the subnets.
>
>Yes, but IP does not care since these paging areas are used to establish a
>link.
>When the link is established, the mobile will be attached to the same
>point of the attachement to the internet where it was last attached
>at the last Mobile IP registration request. If this does not happen, it has
>to
>be considered a failure of the mobile IP model (and a MS or network
>misconfiguration).
>Infact, the home agent could never be assured to be sending data to the MN,
>when it tunnels to the FA.
>
>*BTW, I also asked him about the case where wCDMA allows a mobile node
>*to have more than one paging identifier, and he said this was because
>*the mobile node could be in soft handoff between two RNCs that were in
>*two different location areas. It would therefore require a
>*paging identifier
>*for both.
>
>So what? Are we discussing about the operation of WCMA or assessing
>a problem statement you are editor of? How does it relate
>to the topic at hand? Which is:
>
>
>"we need paging at level 3 since there can be more subnets mapped to
>a paging area".
>On this I fairly disagree. On this the guy you interviewed seem to agree
>instead, but you have not told us what is the benefit of such config.
>Yet.
>
>*I suppose it is possible to spin this however you want if you
>*do or don't
>*believe
>*the problem statement, but, to me, it seems a pretty clear
>*endorsement of
>*the problem statement.
>
>I cannot but abide by your thoughts, since you own them.
>
>I would however disagree on a non technical and technical grounds.
>
>1) I don't think the IETF can work by receiving endorsements by
>some anonymous people... At least this is not in the process so
>far. We need technical discussion to happen. And the issuer of opinions
>must be identifiable via an email account.
>
>2)If a single paging area maps to multiple subnets, then any incoming packet
>over any of those
>subnets will be sent eventually over a link linked to the same
>access net the user was previously attached to. It turns out that in mobile
>IP, if the user does not send a registration request that changes the subnet
>the COA
>is associated to, the packet will be incoming over the expected subnet.
>Otherwise mobile IP is not operating correctly.
>
>So: packet is iscoming on the correct subnet, the link is in the access net
>where
>the mobile was before it went asleep, as such there is no problem to be
>solved.
>
>If a packet is incoming at a subnet other that the one the mobile was
>attached to,
>it will be discarded. If the mobile is attached to another subnet but at the
>same access net
>as before, it must have sent a mobile IP registration request to get the COA
>moved to that
>subnet.
>
>best redards.
>
>alessio

---

From: James Kempf <[email-masked]>
Date: Sat, 07 Apr 2001 09:21:48 +0900

Hi Gary,

They don't like HLR/VLR because these things are basically databases and they
are required to lay out millions when they upgrade because they have to
buy a new MSC (with the VLR in particular). If they were AAA servers and
MIP home agents, the cost would be much less, to say nothing of the wider
expertese, management tools, etc. available for IP networks.

If you want to know more about this, let's take it off line.

                 jak

At 10:03 AM 4/6/01 -0400, Gary Kenward wrote:

>Interesting James, but was it this anonymous persons opinion that the 
>really significant
>flaw in 3GPP was HLR/VLRs? Or did he have other issues, like the many 
>problems
>with the packet transport? the access model?
>
>I am not defending 3GPP. It is simply that there is sooooo much more to 
>wireless IP access then mobile IP and AAA.
>
>Gary
>
> > -----Original Message-----
> > From: James Kempf [<mailto:[email-masked]>mailto:[email-masked]]
> > Sent: Thursday, April 05, 2001 10:21 AM
> > To: [email-masked]
> > Cc: [email-masked]
> > Subject: [seamoby] Response of Mobile Operator to Request for Info on
> > Realistic Paging
> >
> >

---

From: "Gary Kenward" <[email-masked]>
Date: Sat, 7 Apr 2001 16:11:43 -0400

Don't get me wrong, I see advantages with IP networking.
I guess I'll have to take your word that AAA/MIP HA servers
have smaller databases. I suspect that if you looked at all the
services provided for cellular, and all the corresponding IP
servers required (such as Policy, DNS), it probably comes closer
to the same $$$. There is still an advantage, but more in terms
of scalability and competition between vendors.

Cellular operators are always keen on getting rid of boxes, but
they seldom want to relinquish control of the service (can you 
say "WAP", I knew you could ;^} ).  In terms of reducing cost and 
complexity, I suspect that such cellular specific beasts such as the 
RNC, SGSN, GGSN, PDSN are more obvious opportunities.

Gary

> From: James Kempf [mailto:[email-masked]]
> Sent: Friday, April 06, 2001 8:22 PM
> To: Kenward, Gary [WDLN2:AN10:EXCH]; [email-masked]
> Cc: [email-masked]
> Subject: RE: [seamoby] Response of Mobile Operator to Request for Info
> on Realistic Paging
> 
> 
> Hi Gary,
> 
> > > From: James Kempf 
> [<mailto:[email-masked]>mailto:[email-masked]]

---

From: "Gary Kenward" <[email-masked]>
Date: Sun, 8 Apr 2001 15:30:08 -0400

Too true Charlie.

> From: Charlie Perkins [mailto:[email-masked]]
> Sent: Sunday, April 08, 2001 1:38 PM
> To: Kenward, Gary [WDLN2:AN10:EXCH]
> Cc: [email-masked]
> Subject: Re: [seamoby] Response of Mobile Operator to Request for Info
> on Realistic Paging
> 
> 
> 
> Hello Gary,
> 
> > I am not defending 3GPP. It is simply that there is sooooo much more
> > to wireless IP access then mobile IP and AAA.
> 
> I agree with you 100% that Mobile IP and AAA are only part of 
> the story.
> 
> However, it seems that the overall story is one of systems 
> engineering.
> The important question here is to find out what new protocols 
> are needed
> 
> to enable systems integrators to develop useful systems for 
> wireless IP
> access.  I don't think we can ever solve the whole problem with
> protocols,
> and protocols at the IP layer can help with the solution of only a
> restricted
> part of the problem.
> 
> Regards,
> Charlie P.
> 
> 
> 
>

---

From: "Martin, David P" <[email-masked]>
Date: Sun, 8 Apr 2001 19:38:07 -0400

As a representative of a wireless operator, and having seriously looked into
IP services vs traditional telephony services, I can tell you that the $$$
savings are not there today.
However, if you think of all the people that know how to code to AAA and
MIP, and that the IP solutions typically follow open interfaces rather than
closed proprietary interfaces, and that IETF standards stress
interoperability, other advantages of the IP servers become apparent than
just $$$.  However, having said that, the general feeling is that the cost
curves of the IP solutions have a large ability to decrease, while it will
be tough for many of the traditional telephony systems to follow the IP cost
curves.  The future will tell...

-----Original Message-----
From: Gary Kenward [mailto:[email-masked]]
Sent: Saturday, April 07, 2001 4:12 PM
To: 'James Kempf'; [email-masked]
Cc: [email-masked]
Subject: RE: [seamoby] Response of Mobile Operator to Request for Info on
Realistic Paging

Gary 

> From: James Kempf [ mailto:[email-masked]
<mailto:[email-masked]> ] 
> [< mailto:[email-masked] <mailto:[email-masked]> >
mailto:[email-masked] <mailto:[email-masked]> ]